Please Include KiCad Version Information in Your Questions


#1

Continuing the discussion from Track width and clearance:

KiCad changes/updates features constantly, as in, literally every day.

I am using a nightly of V5.1.2 and…

Interestingly to me, I ran into this issue early this morning. My project was advanced enough that I had assigned Net Class Memberships to most of the nets in the project. I had a Net Class member that I wanted to change, and to my happy surprise all of the tracks on that net were automatically changed.

I did not test this functionality on the “Default” Net Class, but I’d figure it to be a bug (and quickly fixed) if it did not work the same.

If You want the fastest response to Your question, make it as easy as possible for all forum members to figure out Your answer.

Otherwise, like in the case above, I want to give guidance to a member with a question, but that ends with my first post being the question, “What version of KiCad are you using?”


#2

It depends on the question. If it is about strange behavior or bugs then yes the first question should be about the detailed kicad version.

If it is about ho to do something then i give the information about the current stable version (possibly with the disclaimer that the information is only valid for that version.)
If the user is on a different version then they will come back with a followup question.


#3

I don’t like to waste my time spending the extra time to read a question twice, and answer it twice, for free.

It is, “Okay with me”, if a new user gives enough information that they are using KiCad and working to find a solution but is still struggling to ask the proper question in the first place.

At this point in time, KiCad V5.1.2_nightly has already fixed several issues in the stable branch.

And, there is NO_WAY that I can remember what feature was/n’t in any Stable or Nightly Version of KiCad that I have downloaded and used.

KiCad users that post questions on this forum will likely get more/better answers from other forum members users also working with the same KiCad version.


#4

If you answer here, use stable to verify your answer. (It does not matter which 5.1.x version you use. They do not get new features. I suggest to use the latest one for verification.)
Or at the very least add a disclaimer that you use nightly. (Nightlies of the stable release branch do not get new features and can count as stable. Do not call them nightly please. That is just confusing if the same name is used for vastly different releases. I would call then version 5.1.3 pre releases)

As i specified above: If the post is about bugs then this is a different story. Such things need the full version info given. (5.1.x is not enough, here we really need the full info that is given by the copy version info dialog. Including the info about the compiler flags.)

My “no version info needed” answer is only valid for questions about how to achieve a particular goal. Again here i would give the answer that is valid for current stable. (Information added about which version was used to test it or disclaimer that i do not have access to kicad right now.)

The no version info needed answer is even more valid for general high level questions. (Questions like “how is goal x achieved with kicad”.) A lot of questions are initially of this type. Only if we get it down to the detail do we need to check what exact version is used.


Lets analyse a few recent kicad specific posts (There were a lot of non kicad posts lately.):

  • Manipulating Zones well we are not even sure what the question is there, so really no version info needed till we at least understand the request. (I suspect it is a misunderstanding about which tool is responsible for what. If that is the case then no version info is ever needed.)
  • Eeschema - Text Justification? Answering this requires deep understanding of kicad file formats. A person with that depth of understanding will know that the schematic file format did not change in recent years in this regard and does therefore not need version info to be given.
  • Track width and clearance initially a general question. At that stage no version info is needed. Only when it got to the place where the reporter asked how to change trace width did we even need to mention the tools of v5. (The answer for v4 would have been: not possible)
  • https://forum.kicad.info/t/pcbnew-wants-me-to-start-over/18129: In the beginning a possible misunderstanding of how kicad works. After this has been excluded converted to a possible bugreport. (First no version info needed, after that one is needed)
  • My foot print wont allow a filled zone to link Can be answered without version info. (Knowing about the particular quirk of v5 where custom pads get the zone connection none improves the answer further but is not strictly required. Also it is clear from context that the user is on v5.)
  • My 'Footprint Editor' doesn't look like anyone else's? [Solved] Bugreport, version info required (and in this case: canvas used should be included.)
  • Move to sheets and retain annotations Feature request, does not need version info (All kicad versions behave the same. But only v5 has copy paste so again clear from context which version is used.)
  • To change transparency of track clearance during routing Describes again a feature missing from kicad. (Not doable in current stable -> you can assume not doable in previous versions unless this is a regression bug. If you do not remember doing it in the past then do not assume it is a regression bug.)

You see: only a small proportion of these really needed the version info and that only after we already determined we talk about a bug not a problem of the PEBKAC variety.